searchData={"items":[{"type":"module","title":"StrapiMapper","doc":"StrapiMapper is a library for mapping Strapi responses to Elixir maps.\nIt doesn't care which JSON library you use, it just needs a map as input.","ref":"StrapiMapper.html"},{"type":"function","title":"StrapiMapper.map_to_struct/2","doc":"Maps a Strapi response map to a normalized Elixir map.\n\nIf the input data is a list, it will map each element of the list.\n\nIf the input data is a map, it will map each key-value pair of the map.\n\nOtherwise, it will return the input data.","ref":"StrapiMapper.html#map_to_struct/2"},{"type":"function","title":"Example - StrapiMapper.map_to_struct/2","doc":"iex> StrapiMapper.map_to_struct(%{\"data\" => %{\"id\" => 1, \"attributes\" => %{\"name\" => \"John\"}}})\n    %{\"id\" => 1, \"name\" => \"John\"}\n\n    iex> StrapiMapper.map_to_struct(%{\"data\" => %{\"id\" => 1, \"attributes\" => %{\"name\" => \"Jane\"}}}, %StrapiMapper.Options{keys_returned_as: :atoms})\n    %{id: 1, name: \"Jane\"}","ref":"StrapiMapper.html#map_to_struct/2-example"},{"type":"module","title":"StrapiMapper.Options","doc":"Options for the StrapiMapper package.\n\nList of options:\n- `:keys_returned_as` - The keys of the returned map will be returned as the specified type. Can be `:string` or `:atom`. Default is `:string`.","ref":"StrapiMapper.Options.html"},{"type":"type","title":"StrapiMapper.Options.t/0","doc":"","ref":"StrapiMapper.Options.html#t:t/0"}],"content_type":"text/markdown"}